package logic

import (
	"context"

	"dcg/app/user_center/internal/svc"
	"dcg/app/user_center/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUserCoinLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUserCoinLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUserCoinLogic {
	return &GetUserCoinLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// getUserCoin 获取用户弹币
func (l *GetUserCoinLogic) GetUserCoin(in *pb.UserIdReq) (*pb.GetUserCoinResp, error) {
	// todo: add your logic here and delete this line

	return &pb.GetUserCoinResp{}, nil
}
