package logic

import (
	"context"

	"dcg/app/user_center/internal/svc"
	"dcg/app/user_center/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUserIdByPUidLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUserIdByPUidLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUserIdByPUidLogic {
	return &GetUserIdByPUidLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

//  getUserIdByPUid 通过平台用户id获取系统用户ID
func (l *GetUserIdByPUidLogic) GetUserIdByPUid(in *pb.PlatformUserReq) (*pb.UserIdResp, error) {
	// todo: add your logic here and delete this line

	return &pb.UserIdResp{}, nil
}
