package logic

import (
	"context"

	"dcg/app/user_center/internal/svc"
	"dcg/app/user_center/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type TransferUserCoinLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewTransferUserCoinLogic(ctx context.Context, svcCtx *svc.ServiceContext) *TransferUserCoinLogic {
	return &TransferUserCoinLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// transferUserCoin 转移用户弹币
func (l *TransferUserCoinLogic) TransferUserCoin(in *pb.TransferUserCoinReq) (*pb.TransferUserCoinResp, error) {
	// todo: add your logic here and delete this line

	return &pb.TransferUserCoinResp{}, nil
}
