package logic

import (
	"context"

	"dcg/app/user_center/internal/svc"
	"dcg/app/user_center/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type UserCheckInLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewUserCheckInLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UserCheckInLogic {
	return &UserCheckInLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// UserCheckIn 用户签到|打卡
func (l *UserCheckInLogic) UserCheckIn(in *pb.UserIdReq) (*pb.UserCheckInResp, error) {
	// todo: add your logic here and delete this line

	return &pb.UserCheckInResp{}, nil
}
